Hacking Is the supercard dstwo safe on a DSI XL?

Master110

Well-Known Member
OP
Newcomer
Joined
Oct 29, 2017
Messages
63
Trophies
0
Age
41
XP
147
Country
United Kingdom
I read a lot of topic online about bricking and screens breaking.


All I want to do with the card is play SNES GBA and DS games on the DSI XL.
 

Ryccardo

Penguin accelerator
Member
Joined
Feb 13, 2015
Messages
7,696
Trophies
1
Age
28
Location
Imola
XP
6,924
Country
Italy
I read a lot of topic online about bricking and screens breaking.
That would be extremely unlikely, unless you got your hands on a defective card (the N5, an early R4 clone, had such a reputation of being "likely" to blow fuses - of course, a significantly larger amount of working cards existed for any defective one: the N5 just happened to be more problematic than others)
 
  • Like
Reactions: Master110

Ryccardo

Penguin accelerator
Member
Joined
Feb 13, 2015
Messages
7,696
Trophies
1
Age
28
Location
Imola
XP
6,924
Country
Italy
ONE OTHER QUESTION i HAVE , Do I really need to upgrade the card if I already own a RSI v1.4.5?
It's generally always a good idea to run the latest kernel, for software compatibility improvements.

If it already runs on your console, there will likely no direct benefit to updating the firmware (which gives compatibility with consoles and their operating systems) but it's not like you have to update it weekly or monthly
 

Master110

Well-Known Member
OP
Newcomer
Joined
Oct 29, 2017
Messages
63
Trophies
0
Age
41
XP
147
Country
United Kingdom
It's generally always a good idea to run the latest kernel, for software compatibility improvements.

If it already runs on your console, there will likely no direct benefit to updating the firmware (which gives compatibility with consoles and their operating systems) but it's not like you have to update it weekly or monthly

1.4.5 is the last FW for the DSI. My DSI XL is only 1.4.4. What I mite just do is get a rsi 1.4.5 . Just incase I need to buy a new DSI and its a risk what FW you get. ( had many different from EBAY)
 

Ryccardo

Penguin accelerator
Member
Joined
Feb 13, 2015
Messages
7,696
Trophies
1
Age
28
Location
Imola
XP
6,924
Country
Italy
1.4.5 is the last FW for the DSI. My DSI XL is only 1.4.4. What I mite just do is get a rsi 1.4.5 . Just incase I need to buy a new DSI and its a risk what FW you get. ( had many different from EBAY)
Update the firmware of your DSTWO, then it will be guaranteed to work on DSi 1.4.5 too
 

gemliu

Well-Known Member
Newcomer
Joined
Jan 8, 2018
Messages
64
Trophies
0
Age
36
XP
250
Country
Germany
DSTWO is perfectly fine with DSi XL. It's pretty expensive though. But if you want to play GBA on your DSi, it's the only real option.

Cheers,
Gemliu
 

Site & Scene News

Popular threads in this forum

General chit-chat
Help Users
    D @ diamondsofmayhem: G'night!